Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk
Class AutoTimeoutSessionManager

All Known Implementing Classes:
  AutoTimeoutSessionManagerImpl

    public interface class AutoTimeoutSessionManager

The auto timeout session manager allows sessionless applications to take advantage of automatic session management. An application such as NFS would get a session using `getSession()` and when it is done servicing the request it should return it back to the manager without disconnecting it by calling `returnSession()`. The application can retrieve as many sessions as it needs for a given user but there may be a system imposed limit on the number of concurrent requests for a given user.

(Unpublished)

Method Summary
`FdkSession` | `getSession(java.lang.String username)` Retrieves a session for the specified user.
`void` | `returnSession(FdkSession session)` Returns a session back to the manager.

Method Detail

### getSession

    FdkSession getSession(java.lang.String username)
                          throws FdkException

  Description copied from interface: `AutoTimeoutSessionManager`
  Retrieves a session for the specified user.

  NOTE: No authentication for the user is performed, the caller needs to make sure the user is authenticated via other means BEFORE calling this method.

  Parameters:
    `username` - The username for which to get a session.
  Throws:
    `FdkException`

### returnSession

    void returnSession(FdkSession session)
                       throws FdkException

  Description copied from interface: `AutoTimeoutSessionManager`
  Returns a session back to the manager. This method should be called when the application finished servicing a request. The application must not disconnect the session before returning it or an exception will be thrown. The application must also dispose of all references to the session after this method is called in order to avoid potential memory leaks.

  Parameters:
    `session` - The session to return back.
  Throws:
    `FdkException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD